Loading...
Searching...
No Matches
Opm::PhaseUsageInfo< IndexTraits > Class Template Reference

## Public Member Functions

unsigned | numActivePhases () const
bool | phaseIsActive (unsigned phaseIdx) const
short | canonicalToActivePhaseIdx (unsigned phaseIdx) const
short | activeToCanonicalPhaseIdx (unsigned activePhaseIdx) const
short | activeToCanonicalCompIdx (unsigned activeCompIdx) const
short | canonicalToActiveCompIdx (unsigned compIdx) const
short | activePhaseToActiveCompIdx (unsigned activePhaseIdx) const
short | activeCompToActivePhaseIdx (unsigned activeCompIdx) const
bool | hasSolvent () const noexcept
bool | hasPolymer () const noexcept
bool | hasEnergy () const noexcept
bool | hasPolymerMW () const noexcept
bool | hasFoam () const noexcept
bool | hasBrine () const noexcept
bool | hasZFraction () const noexcept
bool | hasBiofilm () const noexcept
bool | hasMICP () const noexcept
bool | hasCO2orH2Store () const noexcept

## Static Public Attributes

static constexpr int | numPhases = IndexTraits::numPhases
static constexpr int | numComponents = IndexTraits::numComponents
static constexpr int | waterPhaseIdx = IndexTraits::waterPhaseIdx
static constexpr int | oilPhaseIdx = IndexTraits::oilPhaseIdx
static constexpr int | gasPhaseIdx = IndexTraits::gasPhaseIdx
static constexpr int | waterCompIdx = IndexTraits::waterCompIdx
static constexpr int | oilCompIdx = IndexTraits::oilCompIdx
static constexpr int | gasCompIdx = IndexTraits::gasCompIdx

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/PhaseUsageInfo.hpp
- opm/material/fluidsystems/PhaseUsageInfo.cpp